<!DOCTYPE html>
<html lang="en" class="no-js lt-ie9 lt-ie8 lt-ie7" xmlns:v-on="http://www.w3.org/1999/xhtml" xmlns:v-bind="http://www.w3.org/1999/xhtml">
<head>
  <!--<base href="/">-->
  <meta charset="UTF-8">
  <title>LogWork</title>
  <meta name="description" content="LogWork - Time Management Tool">
  <meta name="viewport" content="width=device-width">

  <link rel="icon" type="image/png" sizes="16x16" href="img/logwork.ico">
  <link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
  <link rel="stylesheet" href="libs/bootstrap/css/bootstrap.min.css"/>
  <link rel="stylesheet" href="libs/bootstrap/css/bootstrap-datepicker.min.css"/>
  <link rel="stylesheet" href="libs/bootstrap/css/icheck-bootstrap.css">
  <link rel="stylesheet" href="libs/font-awesome/css/all.min.css"/>

  <link rel="stylesheet" href="css/style-common.css"/>
  <link rel="stylesheet" href="css/style-sidebar.css"/>
  <link rel="stylesheet" href="css/style-dashboard.css"/>
  <link rel="stylesheet" href="css/style-reports.css"/>
  <link rel="stylesheet" href="css/style-project.css"/>
  <link rel="stylesheet" href="css/style-tags.css"/>
</head>

<body>

<div id="log-work" class="lw-wrapper">

  <!-- sidebar at LHS -->
  <div id="sidebar" class="lw-sidebar float-left">

    <!-- branding displays the LogWork logo -->
    <div id="lw-sb-branding" class="lw-sb-branding">
      <div id="lw-sb-logo" class="lw-sb-logo">
        <a href="" class="lw-logo-link">
          <i class="lw-logo far fa-clock fa-2x"></i>
          <span class="lw-title">LogWork</span>
        </a>
      </div>
    </div>

    <!-- list of features -->
    <div class="lw-sb-features">
      <ul class="lw-sb-menu">
        <li class="menu-item active">
          <router-link class="link" to="/timer">
            <i class="far fa-clock"></i>
            <span class="menu-title">Timer</span>
          </router-link>
        </li>
        <li class="menu-item">
          <router-link class="link" to="/dashboard">
            <i class="fas fa-chart-bar"></i>
            <span class="menu-title">Dashboard</span>
          </router-link>
        </li>
        <li class="menu-item">
          <router-link class="link" to="/reports">
            <i class="far fa-list-alt"></i>
            <span class="menu-title">Reports</span>
          </router-link>
        </li>
        <li class="menu-item">
          <router-link class="link" to="/projects">
            <i class="fas fa-folder-open"></i>
            <span class="menu-title">Projects</span>
          </router-link>
        </li>
        <li class="menu-item">
          <router-link class="link" to="/team">
            <i class="fas fa-users"></i>
            <span class="menu-title">Team</span>
          </router-link>
        </li>
        <li class="menu-item">
          <router-link class="link" to="/tags">
            <i class="fas fa-tags"></i>
            <span class="menu-title">Tags</span>
          </router-link>
        </li>
      </ul>
    </div>

    <!-- footer displays current user's info -->
    <div id="lw-sb-footer" class="lw-sb-footer">
      <input type="checkbox" id="showLogOut">
      <div class="lw-panel-user">
        <button v-on:click="logout" class="logout-btn">
          <i class="fas fa-power-off logout-icon"></i>
          <span>Logout</span>
        </button>
      </div>
      <div id="lw-cur-user" class="lw-cur-user">
        <div class="account-info">
          <span class="account-name user-info">{{ fullName }}</span>
          <span class="account-email user-info">{{ email }}</span>
        </div>
        <label for="showLogOut" class="lw-avatar-panel float-right">
          <img class="account-avatar" v-bind:src="avatar" v-bind:alt="fullName">
        </label>
      </div>
    </div>
  </div>

  <!-- main content at RHS -->
  <div id="main-content" class="lw-main-content">

    <!-- put here your content based on the menu item on the sidebar -->
    <router-view></router-view>

  </div>
</div>

<!--include libraries required files-->
<script src="libs/jquery/jquery-3.3.1.min.js"></script>
<script src="libs/moment/moment.min.js"></script>
<script src="libs/moment/moment-duration-format.js"></script>
<script src="libs/bootstrap/js/bootstrap.min.js"></script>
<script src="libs/bootstrap/js/bootstrap-datepicker.min.js"></script>
<script src="libs/font-awesome/js/all.min.js"></script>
<script src="libs/lodash/lodash.min.js"></script>
<script src="libs/axios/axios.min.js"></script>
<script src="libs/jspdf/jspdf.min.js"></script>
<script src="libs/html2canvas/html2canvas.min.js"></script>
<script src="libs/chart/chart.js"></script>

<!--include vue.js framework's required files-->
<script src="libs/vue-js/vue.min.js"></script>
<script src="libs/vue-js/vue-router.min.js"></script>

<!--bootstrap module-->
<script src="js/timer.js"></script>
<script src="js/dashboard.js"></script>
<script src="js/reports.js"></script>
<script src="js/projects.js"></script>
<script src="js/team.js"></script>
<script src="js/tags.js"></script>
<script src="js/router.js"></script>

<script>
  _.get(Chart, 'Chart.pluginService').register({
    beforeDraw: function (chart) {
      if (_.get(chart, 'config.centerText.display')) {
        drawTotals(chart);
      }
    },
  });

  function drawTotals(chart) {
    var width = chart.chart.width,
        height = chart.chart.height,
        ctx = chart.chart.ctx;

    ctx.restore();

    var fontSize = (height / 10).toFixed(2);
    ctx.font = fontSize + 'px sans-serif';
    ctx.textBaseline = 'middle';

    var text = chart.config.centerText.text,
        textX = Math.round(width / 2 - ctx.measureText(text).width / 2),
        textY = height / 2;

    ctx.fillText(text, textX, textY);
    ctx.save();
  }
</script>

</body>

</html>